const plistPlayer = require('../old/clsPlaylistPlayer').PlaylistPlayer;
const p = new plistPlayer();
let songs = ['test.mp3', 'test7.mp3', 'test4.mp3'];
const dirname = '../../';
const path = require('path');
const bass = require('../old/basswrapper').basswrapper;
const basslib = new bass();

p.initSoundCard(-1);
p.createMixer(2);
p.nextSong();

for (let i = 0; i < songs.length; i++) {
    p.addSongs(songs[i]);
}

let mixerFlags = basslib.BASS_SAMPLE_DEFAULT;
let chanCount = 2;
let addChannelFlags = basslib.BASS_SAMPLE_DEFAULT;
let monoOut = false;

if (monoOut) {
    chanCount = 1;
    mixerFlags = basslib.BASS_SPEAKER_FRONTRIGHT;
    if (chanCount == 1) {
        addChannelFlags = basslib.BASS_MIXER_DOWNMIX;
    }
}

let masterMixer = basslib.BASS_Mixer_StreamCreate(44100, chanCount, mixerFlags);
let add = basslib.BASS_Mixer_StreamAddChannel(masterMixer, p.mixer, addChannelFlags);
basslib.BASS_ChannelPlay(masterMixer, 0);

setInterval(() => {

},1000);